#ifndef DEMO001_1_H
#define DEMO001_1_H

#include <QMainWindow>
#include <QSlider>
#include <QLineEdit>

namespace Ui {
class Demo001_1;
}

class Demo001_1 : public QMainWindow
{
    Q_OBJECT

public:
    explicit Demo001_1(QWidget *parent = nullptr);
    ~Demo001_1();

    void initFrom();
    void connectSliderAndLineEdit(QSlider* slider, QLineEdit* lineEdit);
    void initLineEdits();
    void initSliders();

protected:
    void wheelEvent(QWheelEvent *event);
    void loadSettings();
    void checkSettings();
    void loadGroupSettings(int Id, int Index);
    void showEvent(QShowEvent *event) override;
    void hideEvent(QHideEvent *event) override;

private slots:
    void on_ZoomUpButton_clicked();

    QPixmap getCurrentPixmap() const {
        return currentPixmap;
    }

    void on_ZoomOutButton_clicked();

private:
    Ui::Demo001_1 *ui;

    QPixmap currentPixmap;
    qreal scaleFactor;
};

#endif // DEMO001_1_H
